Index: /branches/version-2_13-dev/data/class/helper/SC_Helper_Purchase.php
===================================================================
--- /branches/version-2_13-dev/data/class/helper/SC_Helper_Purchase.php	(revision 23110)
+++ /branches/version-2_13-dev/data/class/helper/SC_Helper_Purchase.php	(revision 23124)
@@ -35,5 +35,5 @@
 {
 
-    var $arrShippingKey = array(
+    public $arrShippingKey = array(
         'name01', 'name02', 'kana01', 'kana02', 'company_name',
         'sex', 'zip01', 'zip02', 'country_id', 'zipcode', 'pref', 'addr01', 'addr02',
@@ -58,8 +58,8 @@
      * 決済完了後「新規受付」に変更すること
      *
-     * @param integer $orderStatus 受注処理を完了する際に設定する対応状況
-     * @return void
-     */
-    function completeOrder($orderStatus = ORDER_NEW)
+     * @param  integer $orderStatus 受注処理を完了する際に設定する対応状況
+     * @return void
+     */
+    public function completeOrder($orderStatus = ORDER_NEW)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -112,10 +112,10 @@
      * 商品の在庫数は, 受注前の在庫数に戻される.
      *
-     * @param integer $order_id 受注ID
-     * @param integer $orderStatus 対応状況
-     * @param boolean $is_delete 受注データを論理削除する場合 true
-     * @return void
-     */
-    function cancelOrder($order_id, $orderStatus = ORDER_CANCEL, $is_delete = false)
+     * @param  integer $order_id    受注ID
+     * @param  integer $orderStatus 対応状況
+     * @param  boolean $is_delete   受注データを論理削除する場合 true
+     * @return void
+     */
+    public function cancelOrder($order_id, $orderStatus = ORDER_CANCEL, $is_delete = false)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -155,10 +155,10 @@
      * 商品の在庫数, カートの内容は受注前の状態に戻される.
      *
-     * @param integer $order_id 受注ID
-     * @param integer $orderStatus 対応状況
-     * @param boolean $is_delete 受注データを論理削除する場合 true
-     * @return string 受注一時ID
-     */
-    function rollbackOrder($order_id, $orderStatus = ORDER_CANCEL, $is_delete = false)
+     * @param  integer $order_id    受注ID
+     * @param  integer $orderStatus 対応状況
+     * @param  boolean $is_delete   受注データを論理削除する場合 true
+     * @return string  受注一時ID
+     */
+    public function rollbackOrder($order_id, $orderStatus = ORDER_CANCEL, $is_delete = false)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -200,9 +200,9 @@
      * カート画面へ遷移する.
      *
-     * @param string $uniqId ユニークID
-     * @param SC_CartSession $objCartSession
-     * @return void
-     */
-    function verifyChangeCart($uniqId, &$objCartSession)
+     * @param  string         $uniqId         ユニークID
+     * @param  SC_CartSession $objCartSession
+     * @return void
+     */
+    public function verifyChangeCart($uniqId, &$objCartSession)
     {
         $cartKey = $objCartSession->getKey();
@@ -237,8 +237,8 @@
      * 受注一時情報を取得する.
      *
-     * @param integer $uniqId 受注一時情報ID
-     * @return array 受注一時情報の配列
-     */
-    function getOrderTemp($uniqId)
+     * @param  integer $uniqId 受注一時情報ID
+     * @return array   受注一時情報の配列
+     */
+    public function getOrderTemp($uniqId)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -250,8 +250,8 @@
      * 受注IDをキーにして受注一時情報を取得する.
      *
-     * @param integer $order_id 受注ID
-     * @return array 受注一時情報の配列
-     */
-    function getOrderTempByOrderId($order_id)
+     * @param  integer $order_id 受注ID
+     * @return array   受注一時情報の配列
+     */
+    public function getOrderTempByOrderId($order_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -265,10 +265,10 @@
      * 既存のデータが存在しない場合は新規保存. 存在する場合は更新する.
      *
-     * @param integer $uniqId 受注一時情報ID
-     * @param array $params 登録する受注情報の配列
-     * @param SC_Customer $objCustomer SC_Customer インスタンス
-     * @return void
-     */
-    function saveOrderTemp($uniqId, $params, &$objCustomer = NULL)
+     * @param  integer     $uniqId      受注一時情報ID
+     * @param  array       $params      登録する受注情報の配列
+     * @param  SC_Customer $objCustomer SC_Customer インスタンス
+     * @return void
+     */
+    public function saveOrderTemp($uniqId, $params, &$objCustomer = NULL)
     {
         if (SC_Utils_Ex::isBlank($uniqId)) {
@@ -310,5 +310,5 @@
      * @param bool $has_shipment_item 配送商品を保有している配送先のみ返す。
      */
-    function getShippingTemp($has_shipment_item = false)
+    public function getShippingTemp($has_shipment_item = false)
     {
         if ($has_shipment_item) {
@@ -318,4 +318,5 @@
                 $arrReturn[$key] = $arrVal;
             }
+
             return $arrReturn;
         }
@@ -327,8 +328,8 @@
      * 配送商品をクリア(消去)する
      *
-     * @param integer $shipping_id 配送先ID
-     * @return void
-     */
-    function clearShipmentItemTemp($shipping_id = null)
+     * @param  integer $shipping_id 配送先ID
+     * @return void
+     */
+    public function clearShipmentItemTemp($shipping_id = null)
     {
         if (is_null($shipping_id)) {
@@ -346,10 +347,10 @@
      * 配送商品を設定する.
      *
-     * @param integer $shipping_id 配送先ID
-     * @param integer $product_class_id 商品規格ID
-     * @param integer $quantity 数量
-     * @return void
-     */
-    function setShipmentItemTemp($shipping_id, $product_class_id, $quantity)
+     * @param  integer $shipping_id      配送先ID
+     * @param  integer $product_class_id 商品規格ID
+     * @param  integer $quantity         数量
+     * @return void
+     */
+    public function setShipmentItemTemp($shipping_id, $product_class_id, $quantity)
     {
         // 配列が長くなるので, リファレンスを使用する
@@ -383,5 +384,5 @@
      * 配送先都道府県の配列を返す.
      */
-    function getShippingPref($is_multiple)
+    public function getShippingPref($is_multiple)
     {
         $results = array();
@@ -398,5 +399,5 @@
      * @return boolean 複数配送指定の購入の場合 true
      */
-    function isMultiple()
+    public function isMultiple()
     {
         return count(SC_Helper_Purchase_Ex::getShippingTemp(true)) >= 2;
@@ -407,9 +408,9 @@
      *
      * XXX マージする理由が不明(なんとなく便利な気はするけど)。分かる方コメントに残してください。
-     * @param array $arrSrc 配送情報の連想配列
-     * @param integer $shipping_id 配送先ID
-     * @return void
-     */
-    function saveShippingTemp($arrSrc, $shipping_id = 0)
+     * @param  array   $arrSrc      配送情報の連想配列
+     * @param  integer $shipping_id 配送先ID
+     * @return void
+     */
+    public function saveShippingTemp($arrSrc, $shipping_id = 0)
     {
         // 配送商品は引き継がない
@@ -427,8 +428,8 @@
      *
      * @deprecated 2.12.0 から EC-CUBE 本体では使用していない。
-     * @param integer $shipping_id 配送先ID
-     * @return void
-     */
-    function unsetShippingTemp()
+     * @param  integer $shipping_id 配送先ID
+     * @return void
+     */
+    public function unsetShippingTemp()
     {
         SC_Helper_Purchase_Ex::unsetAllShippingTemp(true);
@@ -438,8 +439,8 @@
      * セッションの配送情報を全て破棄する
      *
-     * @param bool $multiple_temp 複数お届け先の画面戻り処理用の情報も破棄するか
-     * @return void
-     */
-    static function unsetAllShippingTemp($multiple_temp = false)
+     * @param  bool $multiple_temp 複数お届け先の画面戻り処理用の情報も破棄するか
+     * @return void
+     */
+    public static function unsetAllShippingTemp($multiple_temp = false)
     {
         unset($_SESSION['shipping']);
@@ -452,8 +453,8 @@
      * セッションの配送情報を個別に破棄する
      *
-     * @param integer $shipping_id 配送先ID
-     * @return void
-     */
-    static function unsetOneShippingTemp($shipping_id)
+     * @param  integer $shipping_id 配送先ID
+     * @return void
+     */
+    public static function unsetOneShippingTemp($shipping_id)
     {
         unset($_SESSION['shipping'][$shipping_id]);
@@ -467,11 +468,11 @@
      * customer_id は強制的にコピーされる.
      *
-     * @param array $dest コピー先の配列
-     * @param SC_Customer $objCustomer SC_Customer インスタンス
-     * @param string $prefix コピー先の接頭辞. デフォルト order
-     * @param array $keys コピー対象のキー
-     * @return void
-     */
-    function copyFromCustomer(&$dest, &$objCustomer, $prefix = 'order',
+     * @param  array       $dest        コピー先の配列
+     * @param  SC_Customer $objCustomer SC_Customer インスタンス
+     * @param  string      $prefix      コピー先の接頭辞. デフォルト order
+     * @param  array       $keys        コピー対象のキー
+     * @return void
+     */
+    public function copyFromCustomer(&$dest, &$objCustomer, $prefix = 'order',
         $keys = array('name01', 'name02', 'kana01', 'kana02', 'company_name',
             'sex', 'zip01', 'zip02', 'country_id', 'zipcode', 'pref', 'addr01', 'addr02',
@@ -510,12 +511,12 @@
      * TODO 汎用的にして SC_Utils へ移動
      *
-     * @param array $dest コピー先の配列
-     * @param array $src コピー元の配列
-     * @param array $arrKey コピー対象のキー
-     * @param string $prefix コピー先の接頭辞. デフォルト shipping
-     * @param string $src_prefix コピー元の接頭辞. デフォルト order
-     * @return void
-     */
-    function copyFromOrder(&$dest, $src, $prefix = 'shipping', $src_prefix = 'order', $arrKey = null)
+     * @param  array  $dest       コピー先の配列
+     * @param  array  $src        コピー元の配列
+     * @param  array  $arrKey     コピー対象のキー
+     * @param  string $prefix     コピー先の接頭辞. デフォルト shipping
+     * @param  string $src_prefix コピー元の接頭辞. デフォルト order
+     * @return void
+     */
+    public function copyFromOrder(&$dest, $src, $prefix = 'shipping', $src_prefix = 'order', $arrKey = null)
     {
         if (is_null($arrKey)) {
@@ -538,8 +539,8 @@
      * 配送情報のみ抜き出す。
      *
-     * @param string $arrSrc 元となる配列
-     * @return void
-     */
-    function extractShipping($arrSrc)
+     * @param  string $arrSrc 元となる配列
+     * @return void
+     */
+    public function extractShipping($arrSrc)
     {
         $arrKey = array();
@@ -554,5 +555,5 @@
      * お届け日一覧を取得する.
      */
-    function getDelivDate(&$objCartSess, $productTypeId)
+    public function getDelivDate(&$objCartSess, $productTypeId)
     {
         $cartList = $objCartSess->getCartList($productTypeId);
@@ -614,5 +615,5 @@
      * お届け可能日のスタート値から, お届け日の配列を取得する.
      */
-    function getDateArray($start_day, $end_day)
+    public function getDateArray($start_day, $end_day)
     {
         $masterData = new SC_DB_MasterData_Ex();
@@ -644,10 +645,10 @@
      * TODO UPDATE/INSERT にする
      *
-     * @param integer $order_id 受注ID
-     * @param array $arrParams 配送情報の連想配列
-     * @param boolean $convert_shipping_date yyyy/mm/dd(EEE) 形式の配送日付を変換する場合 true
-     * @return void
-     */
-    function registerShipping($order_id, $arrParams, $convert_shipping_date = true)
+     * @param  integer $order_id              受注ID
+     * @param  array   $arrParams             配送情報の連想配列
+     * @param  boolean $convert_shipping_date yyyy/mm/dd(EEE) 形式の配送日付を変換する場合 true
+     * @return void
+     */
+    public function registerShipping($order_id, $arrParams, $convert_shipping_date = true)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -687,10 +688,10 @@
      * 配送商品を登録する.
      *
-     * @param integer $order_id 受注ID
-     * @param integer $shipping_id 配送先ID
-     * @param array $arrParams 配送商品の配列
-     * @return void
-     */
-    function registerShipmentItem($order_id, $shipping_id, $arrParams)
+     * @param  integer $order_id    受注ID
+     * @param  integer $shipping_id 配送先ID
+     * @param  array   $arrParams   配送商品の配列
+     * @return void
+     */
+    public function registerShipmentItem($order_id, $shipping_id, $arrParams)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -744,10 +745,10 @@
      * 登録後, 受注一時テーブルに削除フラグを立てる.
      *
-     * @param array $orderParams 登録する受注情報の配列
+     * @param array          $orderParams    登録する受注情報の配列
      * @param SC_CartSession $objCartSession カート情報のインスタンス
-     * @param integer $cartKey 登録を行うカート情報のキー
+     * @param integer        $cartKey        登録を行うカート情報のキー
      * @param integer 受注ID
      */
-    function registerOrderComplete($orderParams, &$objCartSession, $cartKey)
+    public function registerOrderComplete($orderParams, &$objCartSession, $cartKey)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -816,9 +817,9 @@
      * 引数の受注IDが, 空白又は null の場合は, 新しく受注IDを発行して登録する.
      *
-     * @param integer $order_id 受注ID
-     * @param array $arrParams 受注情報の連想配列
+     * @param  integer $order_id  受注ID
+     * @param  array   $arrParams 受注情報の連想配列
      * @return integer 受注ID
      */
-    function registerOrder($order_id, $arrParams)
+    public function registerOrder($order_id, $arrParams)
     {
         $table = 'dtb_order';
@@ -870,9 +871,9 @@
      * 既に, 該当の受注が存在する場合は, 受注情報を削除し, 登録する.
      *
-     * @param integer $order_id 受注ID
-     * @param array $arrParams 受注情報の連想配列
-     * @return void
-     */
-    function registerOrderDetail($order_id, $arrParams)
+     * @param  integer $order_id  受注ID
+     * @param  array   $arrParams 受注情報の連想配列
+     * @return void
+     */
+    public function registerOrderDetail($order_id, $arrParams)
     {
         $table = 'dtb_order_detail';
@@ -892,9 +893,9 @@
      * 受注情報を取得する.
      *
-     * @param integer $order_id 受注ID
-     * @param integer $customer_id 会員ID
-     * @return array 受注情報の配列
-     */
-    function getOrder($order_id, $customer_id = null)
+     * @param  integer $order_id    受注ID
+     * @param  integer $customer_id 会員ID
+     * @return array   受注情報の配列
+     */
+    public function getOrder($order_id, $customer_id = null)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -912,9 +913,9 @@
      * 受注詳細を取得する.
      *
-     * @param integer $order_id 受注ID
-     * @param boolean $has_order_status 対応状況, 入金日も含める場合 true
-     * @return array 受注詳細の配列
-     */
-    function getOrderDetail($order_id, $has_order_status = true)
+     * @param  integer $order_id         受注ID
+     * @param  boolean $has_order_status 対応状況, 入金日も含める場合 true
+     * @return array   受注詳細の配列
+     */
+    public function getOrderDetail($order_id, $has_order_status = true)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -974,5 +975,5 @@
      * @return void
      */
-    function setDownloadableFlgTo(&$arrOrderDetail)
+    public function setDownloadableFlgTo(&$arrOrderDetail)
     {
         foreach ($arrOrderDetail as $key => $value) {
@@ -994,9 +995,9 @@
      * 配送情報を取得する.
      *
-     * @param integer $order_id 受注ID
-     * @param boolean $has_items 結果に配送商品も含める場合 true
-     * @return array 配送情報の配列
-     */
-    function getShippings($order_id, $has_items = true)
+     * @param  integer $order_id  受注ID
+     * @param  boolean $has_items 結果に配送商品も含める場合 true
+     * @return array   配送情報の配列
+     */
+    public function getShippings($order_id, $has_items = true)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -1025,10 +1026,10 @@
      * 配送商品を取得する.
      *
-     * @param integer $order_id 受注ID
-     * @param integer $shipping_id 配送先ID
-     * @param boolean $has_detail 商品詳細も取得する場合 true
-     * @return array 商品規格IDをキーにした配送商品の配列
-     */
-    function getShipmentItems($order_id, $shipping_id, $has_detail = true)
+     * @param  integer $order_id    受注ID
+     * @param  integer $shipping_id 配送先ID
+     * @param  boolean $has_detail  商品詳細も取得する場合 true
+     * @return array   商品規格IDをキーにした配送商品の配列
+     */
+    public function getShipmentItems($order_id, $shipping_id, $has_detail = true)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -1061,9 +1062,9 @@
      * PC の場合は PC 用の文面でメールを送信する.
      *
-     * @param integer $orderId 受注ID
-     * @param object $objPage LC_Page インスタンス
-     * @return void
-     */
-    function sendOrderMail($orderId, &$objPage = NULL)
+     * @param  integer $orderId 受注ID
+     * @param  object  $objPage LC_Page インスタンス
+     * @return void
+     */
+    public function sendOrderMail($orderId, &$objPage = NULL)
     {
         $mailHelper = new SC_Helper_Mail_Ex();
@@ -1084,12 +1085,12 @@
      * 必ず呼び出し元でトランザクションブロックを開いておくこと。
      *
-     * @param integer $orderId 注文番号
-     * @param integer|null $newStatus 対応状況 (null=変更無し)
-     * @param integer|null $newAddPoint 加算ポイント (null=変更無し)
-     * @param integer|null $newUsePoint 使用ポイント (null=変更無し)
-     * @param array $sqlval 更新後の値をリファレンスさせるためのパラメーター
-     * @return void
-     */
-    function sfUpdateOrderStatus($orderId, $newStatus = null, $newAddPoint = null, $newUsePoint = null, &$sqlval = array())
+     * @param  integer      $orderId     注文番号
+     * @param  integer|null $newStatus   対応状況 (null=変更無し)
+     * @param  integer|null $newAddPoint 加算ポイント (null=変更無し)
+     * @param  integer|null $newUsePoint 使用ポイント (null=変更無し)
+     * @param  array        $sqlval      更新後の値をリファレンスさせるためのパラメーター
+     * @return void
+     */
+    public function sfUpdateOrderStatus($orderId, $newStatus = null, $newAddPoint = null, $newUsePoint = null, &$sqlval = array())
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -1196,9 +1197,9 @@
      * 受注の名称列を更新する
      *
-     * @param integer $order_id 更新対象の注文番号
+     * @param integer $order_id   更新対象の注文番号
      * @param boolean $temp_table 更新対象は「受注_Temp」か
      * @static
      */
-    function sfUpdateOrderNameCol($order_id, $temp_table = false)
+    public function sfUpdateOrderNameCol($order_id, $temp_table = false)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -1235,8 +1236,8 @@
      * $status が null の場合は false を返す.
      *
-     * @param integer $status 対応状況
+     * @param  integer $status 対応状況
      * @return boolean 使用するか(会員テーブルから減算するか)
      */
-    function isUsePoint($status)
+    public function isUsePoint($status)
     {
         if ($status == null) {
@@ -1245,4 +1246,5 @@
         switch ($status) {
             case ORDER_CANCEL:      // キャンセル
+
                 return false;
             default:
@@ -1256,8 +1258,8 @@
      * ポイント加算するかの判定
      *
-     * @param integer $status 対応状況
+     * @param  integer $status 対応状況
      * @return boolean 加算するか
      */
-    function isAddPoint($status)
+    public function isAddPoint($status)
     {
         switch ($status) {
@@ -1267,7 +1269,9 @@
             case ORDER_CANCEL:      // キャンセル
             case ORDER_BACK_ORDER:  // 取り寄せ中
+
                 return false;
 
             case ORDER_DELIV:       // 発送済み
+
                 return true;
 
@@ -1291,10 +1295,10 @@
      * $orderId が使われていない。
      *
-     * @param integer $orderId 注文番号
+     * @param integer        $orderId        注文番号
      * @param SC_CartSession $objCartSession カート情報のインスタンス
-     * @param SC_Customer $objCustomer SC_Customer インスタンス
-     * @param integer $cartKey 登録を行うカート情報のキー
-     */
-    function cleanupSession($orderId, &$objCartSession, &$objCustomer, $cartKey)
+     * @param SC_Customer    $objCustomer    SC_Customer インスタンス
+     * @param integer        $cartKey        登録を行うカート情報のキー
+     */
+    public function cleanupSession($orderId, &$objCartSession, &$objCustomer, $cartKey)
     {
         // カートの内容を削除する.
@@ -1310,9 +1314,9 @@
      * 単一配送指定用に配送商品を設定する
      *
-     * @param SC_CartSession $objCartSession カート情報のインスタンス
-     * @param integer $shipping_id 配送先ID
-     * @return void
-     */
-    function setShipmentItemTempForSole(&$objCartSession, $shipping_id = 0)
+     * @param  SC_CartSession $objCartSession カート情報のインスタンス
+     * @param  integer        $shipping_id    配送先ID
+     * @return void
+     */
+    public function setShipmentItemTempForSole(&$objCartSession, $shipping_id = 0)
     {
         $objCartSess = new SC_CartSession_Ex();
@@ -1339,8 +1343,9 @@
     }
 
-	/**
+    /**
      * 決済処理中スタータスの全受注検索
      */
-    public function checkDbAllPendingOrder() {
+    public function checkDbAllPendingOrder()
+    {
         $term = PENDING_ORDER_CANCEL_TIME;
         if (!SC_Utils_Ex::isBlank($term) && preg_match("/^[0-9]+$/", $term)) {
@@ -1361,5 +1366,6 @@
     }
 
-    public function checkDbMyPendignOrder() {
+    public function checkDbMyPendignOrder()
+    {
         $objCustomer = new SC_Customer_Ex();
         if ($objCustomer->isLoginSuccess(true)) {
@@ -1377,5 +1383,5 @@
                         $cartKeys = $objCartSess->getKeys();
                         $term = PENDING_ORDER_CANCEL_TIME;
-                        if(preg_match("/^[0-9]+$/", $term)){
+                        if (preg_match("/^[0-9]+$/", $term)) {
                             $target_time = strtotime('-' . $term . ' sec');
                             $create_time = strtotime($arrOrder['create_date']);
@@ -1402,5 +1408,6 @@
     }
 
-    public function checkSessionPendingOrder() {
+    public function checkSessionPendingOrder()
+    {
         if (!SC_Utils_Ex::isBlank($_SESSION['order_id'])) {
             $order_id = $_SESSION['order_id'];
